%define po_package gnome-speech

Summary: GNOME Text to Speech
Name: gnome-speech
Version: 0.3.5
Release: 4.EL.1
License: LGPL
Group: Desktop/Accessibility
URL: http://www.gnome.org/
Source0: gnome-speech-%{version}.tar.bz2
BuildRoot: %{_tmppath}/gnome-speech-%{version}-%{release}-buildroot
BuildRequires: pkgconfig
BuildRequires: libbonobo-devel
Patch1: gnome-speech-0.3.5-java-configure.patch
Patch2: gnome-speech-0.3.5-no-gnome-common.patch
%ifarch i386
Requires: festival
%endif

%description
GNOME Speech

%package devel
Summary:	The files needed for developing an app using gnome-speech
Group:		Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}
Requires:	libbonobo-devel

%description devel
GNOME Speech devel

%prep
%setup -q
%patch1 -p1 -b .java-configure
%patch2 -p1 -b .no-gnome-common

%build
autoreconf -f -i
%configure --with-java-home=no --with-jab-dir=""
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -name '*.la' |xargs /bin/rm
# Remove this as it does not build correctly right now.
rm -rf $RPM_BUILD_ROOT/%{_libdir}/orbit-2.0/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/festival-synthesis-driver
%{_bindir}/test-speech
%{_libdir}/bonobo/servers/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/gnome-speech-1.0
%{_libdir}/pkgconfig/*pc
%{_datadir}/idl/gnome-speech-1.0


%changelog
* Tue Jan 04 2005 Colin Walters <walters@redhat.com> 0.3.5-4.EL.1
- Rebuild since beehive ate previous version

* Tue Jan 04 2005 Colin Walters <walters@redhat.com> 0.3.5-4.EL.0
- Backport from devel:
- New patch gnome-speech-0.3.5-java-configure.patch to
  allow to explicitly disable Java
- Use it
- New patch gnome-speech-0.3.5-no-gnome-common.patch

* Thu Sep 16 2004 Jonathan Blandford <jrb@redhat.com> 0.3.5-4
- change ExclusiveArch to Requires festival only on i386

* Wed Sep 15 2004 Tim Powers <timp@redhat.com> 0.3.5-3
- ExclusiveArch i386 since festival only exists for i386, otherwise we break deps

* Tue Sep 14 2004 GNOME <jrb@redhat.com> - 0.3.5-2
- require festival, as we're useless without it

* Tue Aug 31 2004 Colin Walters <walters@redhat.com> 0.3.5-1
- Update to 0.3.5
- Add missing ldconfig calls (bz #123268)

* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 0.3.3-1
- Update to 0.3.3

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 0.3.2-2
- BR pkgconfig libbonobo-devel

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.3.2-1
- Update to 0.3.2

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- update to 0.3.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Oct  2 2003 Jonathan Blandford <jrb@redhat.com> 0.2.7-1
- new version

* Tue Sep  2 2003 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Mon Jul 28 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add defattr to devel subrpm

* Fri Jul 18 2003 Jonathan Blandford <jrb@redhat.com>
- remove non-working orbit-2.0 typelib stuff temporarily

* Thu Jul 17 2003 root <jrb@dhcp64-232.boston.redhat.com> 0.2.3-1
- bump to new version

* Fri May  9 2003 Jonathan Blandford <jrb@redhat.com> speech-1
- Initial build.


